Firefox 3 requires secure updates from extensions

I’ve been using the latest trunk (nightly) version of the Firefox 3 browser for some time now. But it wasn’t until recently that I discovered, that it had disabled two of my extensions:

  • CoLT
  • TinyUrl Creator

The reason was that the extensions didn’t provide secure updates, probably to avoid fraud. I checked addons.mozilla.org and noticed, that the entire addons site has changed to a https:// protocol.

I Googled the two plugins and found that they are available from the addons site:

And now they work like a charm. So remember: If you are currently using any extensions for Firefox that uses a regular http:// connection for updating, and you plan on updating to Firefox 3, you should check to see if you can download/install them from a secure location, such as addons.mozilla.org.

Just a tip :-)

1 thought on “Firefox 3 requires secure updates from extensions”

Comments are closed.